#include "NFC.h"
#include <SPI.h>
#include <PubSubClient.h>
#include <MFRC522.h>

NFC::NFC(int pin_ss, int pin_rst, PubSubClient* mqtt)
{
    SPI.begin();

    rfid = new MFRC522(pin_ss, pin_rst);
    rfid->PCD_Init();
}

bool NFC::hasNewCard()
{
    return rfid->PICC_IsNewCardPresent() && rfid->PICC_ReadCardSerial() && rfid->uid.sak == 0x20;
}

bool NFC::hasActiveOTA()
{
    return activOTA;
}

void NFC::startOTA()
{
    // TODO
}

void NFC::continueOTA()
{
    // TODO
}

void NFC::cancelOTA()
{
    
}
