#include "Config.h"
#include <EEPROM.h>
#include <string.h>

Config::Config()
{
    EEPROM.begin(512);
}

Config::Config(int ID, char broker[], char username[], char password[])
{
    this->Data.ID = ID;
    strcpy(this->Data.MQTT_Broker, broker);
    strcpy(this->Data.MQTT_Username, username);
    strcpy(this->Data.MQTT_Password, password);

    EEPROM.begin(512);
}

void Config::Load()
{
    EEPROM.get(0, this->Data);
}

void Config::Save()
{
    EEPROM.put(0, this->Data);
    EEPROM.commit();
}

bool Config::IsEmpty()
{
    return this->Data.ID == 0;
}