#ifndef NFC_H
#define NFC_H

#include <PubSubClient.h>
#include <MFRC522.h>

class NFC
{
    private:
        MFRC522* rfid;
        PubSubClient* mqtt;
        bool activOTA = false;

    public:
        NFC(int pin_ss, int pin_rst, PubSubClient* mqtt);
        bool hasNewCard();
        bool hasActiveOTA();
        
        void startOTA();
        void continueOTA();
        void cancelOTA();
};

#endif
